Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005269 [JEDI VCL] 00 JVCL Components major always 2010-06-23 12:31 2011-06-10 16:10
Reporter ldallacqua View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005269: JvXMLTree: LoadFromFile not working on CodeGear 2010
Description When I load a TJvXMLTree from file with CG2010, the strings are loaded wrongly.
It seems a unicode problem in PosStr function.

Try with this portion of code:

uses JvXmlTree;

procedure TForm1.Button1Click(Sender: TObject);
var
   XML: TJvXMLTree;
   N: TJvXMLNode;
begin
   XML := TJvXMLTree.Create('', '', nil);
   try
      XML.LoadFromFile('.\Test.xml');
      N := XML.FindNamedNode('Test');
      if Assigned(N) then
         showmessage(N.Value)
      else
         showmessage('No node Test');
   finally
      XML.Free;
   end;
end;

The XML file is the following:

<FileXML>
   <Test>This is a test string</Test>
</FileXML>

Additional Information
Tags No tags attached.
Attached Files xml file icon Test.xml [^] (60 bytes) 2010-06-23 12:31

- Relationships

-  Notes
(0017516)
AHUser (developer)
2010-06-26 16:12

Fixed in SVN revision 12815.

- Issue History
Date Modified Username Field Change
2010-06-23 12:31 ldallacqua New Issue
2010-06-23 12:31 ldallacqua File Added: Test.xml
2010-06-26 16:12 AHUser Note Added: 0017516
2010-06-26 16:12 AHUser Status new => resolved
2010-06-26 16:12 AHUser Fixed in Version => Daily / SVN
2010-06-26 16:12 AHUser Resolution open => fixed
2010-06-26 16:12 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker